Skip to navigation

Retrieve all Machine health reports

View as Markdown

Get all health reports for a specific Machine.

For Infrastructure Providers: Org must have an Infrastructure Provider entity and own the Site that the Machine belongs to. User must have authorization role with PROVIDER_ADMIN or PROVIDER_VIEWER suffix.

For Tenants: Org must have a Tenant with TargetedInstanceCreation capability enabled and Tenant Account with Machine’s Provider. User must have authorization role with TENANT_ADMIN suffix.

Authentication

AuthorizationBearer
export JWT_BEARER_TOKEN="<jwt-bearer-token>"

# Example org name: "acme-inc
export ORG_NAME=<org-name>

# Use the JWT bearer token in your API request auth header:
curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current

Path parameters

orgstringRequired
Name of the Org
machineIdstringRequired
ID of the Machine

Response

OK
sourcestring
Health report source.
modeenum
How this health report was updated
Allowed values:
triggeredBystringOptional
Person or system that triggered this health report.
observedAtdatetimeOptional

Date/time when the health report was observed.

successeslist of objectsOptional
Results from successful health probes for the Machine.
alertslist of objectsOptional
Results from failed health probes for the Machine.

Errors

403
Forbidden Error
404
Not Found Error
500
Internal Server Error